Bug 81261 - mgetty (<1.1.29) security issues
mgetty (<1.1.29) security issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mgetty (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-07 04:29 EST by Mark J. Cox
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 11:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:008 normal SHIPPED_LIVE Low: mgetty security update 2003-01-07 00:00:00 EST

  None (edit)
Description Mark J. Cox 2003-01-07 04:29:33 EST
mgetty can be configured to run an external program to decide whether or
not to answer an incoming call based on Caller ID information.  Versions of
mgetty prior to 1.1.29 would overflow an internal buffer if the caller name
reported by the modem was too long.

Additionally, the faxspool script supplied with versions of mgetty prior to
1.1.29 used a simple permissions scheme to allow or deny fax transmission
privileges.  This scheme was easily circumvented because the spooling
directory used for outgoing faxes was world-writable.

CAN-2002-1391 CAN-2002-1392

http://search.alphanet.ch/cgi-bin/search.cgi?msgid=20021125142338.E12094%40greenie.muc.de&max_results=1&type=long&domain=ml-mgetty
Comment 1 Mark J. Cox 2003-02-11 11:49:22 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-008.html

Note You need to log in before you can comment on or make changes to this bug.